Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.manage
Class ManagerServerImpl

    java.lang.Object
      |
      +--com.solarmetric.manage.ManagerServerImpl

All Implemented Interfaces:
  com.solarmetric.util.Closeable, Configurable, ManagerServer, Runnable

public class ManagerServerImpl
extends Object
implements ManagerServer

Server side of the Manager client/server implementation. A server listens on a particular address and port, and can accept connections from various remote ManagerClients. Simply instantiating and starting the ManagerServerImpl should allow multiple clients to connect and monitor the local runtime.

Inner Class Summary
`class` | `ManagerServerImpl.ManagerSkeleton` Class/thread that handles individual ManagerClient connections.

Constructor Summary
`ManagerServerImpl()` Construct the ManagerServerImpl, but defer configuration.
`ManagerServerImpl(Manager managerInstance, int port, int backlog, String host)` Construct the ManagerServerImpl to listen on the given port and address with the passed backlog.

Method Summary
`void` | `close()` Request that this server shutdown.
`void` | `endConfiguration()` Invoked upon completion of bean property configuration for this object.
`void` | `run()` Primary method of this thread.
`void` | `setBacklog(int backlog)`
`void` | `setConfiguration(Configuration conf)` Invoked prior to setting bean properties.
`void` | `setHost(String host)`
`void` | `setLog(org.apache.commons.logging.Log log)` Set the log for this server to use.
`void` | `setManagerInstance(Manager managerInstance)`
`void` | `setPort(int port)`
`void` | `startConfiguration()` Invoked before bean property configuration is begun on this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagerServerImpl

    public ManagerServerImpl()

  Construct the ManagerServerImpl, but defer configuration.

### ManagerServerImpl

    public ManagerServerImpl(Manager managerInstance,
                             int port,
                             int backlog,
                             String host)

  Construct the ManagerServerImpl to listen on the given port and address with the passed backlog. See ServerSocket for how these parameters are used.

Method Detail

### setManagerInstance

    public void setManagerInstance(Manager managerInstance)

  Specified by:
    `setManagerInstance` in interface `ManagerServer`

### setPort

    public void setPort(int port)

### setBacklog

    public void setBacklog(int backlog)

### setHost

    public void setHost(String host)

### close

    public void close()

  Request that this server shutdown.
  Specified by:
    `close` in interface `ManagerServer`

### setLog

    public void setLog(org.apache.commons.logging.Log log)

  Set the log for this server to use.

### setConfiguration

    public void setConfiguration(Configuration conf)

  Description copied from interface: `Configurable`
  Invoked prior to setting bean properties.
  Specified by:
    `setConfiguration` in interface `Configurable`

### startConfiguration

    public void startConfiguration()

  Description copied from interface: `Configurable`
  Invoked before bean property configuration is begun on this object.
  Specified by:
    `startConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Description copied from interface: `Configurable`
  Invoked upon completion of bean property configuration for this object.
  Specified by:
    `endConfiguration` in interface `Configurable`

### run

    public void run()

  Primary method of this thread.
  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.